console.log("BEV running");
setTimeout(() => {
    document.getElementById('infoDiv').innerText="";
},2000);
(async () => {
    function queryCB(content) {
        drawDoc(JSON.parse(content))
	}

    function code2Lang(code) {
        let lang="english";
        if (code===undefined) return lang;
        if (code.includes("es")) lang="spanish";
        if (code.includes("pt")) lang="portuguese";
        if (code.includes("it")) lang="italian";
        if (code.includes("fr")) lang="french";
        if (code.includes("ca")) lang="catalan";
        if (code.includes("ga")) lang="irish";
        if (code.includes("gl")) lang="galician";

        return lang
    }

    function getTextAndLanguage() {
        return {"text": document.body.innerText
            ,"lang": document.getElementsByTagName("html")[0].getAttribute("lang")
        }
    }
    const [tab] = await chrome.tabs.query({active: true, currentWindow: true});
    const [{result}] = await chrome.scripting.executeScript({
      target: {tabId: tab.id},
      func: getTextAndLanguage
    });
    const text=result["text"]
    const langCode=result["lang"]
    //console.log(text);
    //console.log("lang: "+langCode);
    const lang=code2Lang(langCode);
    const go = new Go();
    
    WebAssembly.instantiateStreaming(fetch("bev.wasm"), go.importObject).then((result) => {
        go.run(result.instance);
    }).then(() => {
            makeChart(text,"text",lang,queryCB);
        });

    //document.body.innerText=langCode
  })();